/[pcre]/code/trunk/PrepareRelease
ViewVC logotype

Diff of /code/trunk/PrepareRelease

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 208 by ph10, Mon Aug 6 15:23:29 2007 UTC revision 836 by ph10, Wed Dec 28 17:16:11 2011 UTC
# Line 4  Line 4 
4  # processing of the documentation, detrails files, and creates pcre.h.generic  # processing of the documentation, detrails files, and creates pcre.h.generic
5  # and config.h.generic (for use by builders who can't run ./configure).  # and config.h.generic (for use by builders who can't run ./configure).
6    
7  # You must run this script before runnning "make dist". It makes use of the  # You must run this script before runnning "make dist". If its first argument
8  # following files:  # is "doc", it stops after preparing the documentation. There are no other
9    # arguments. The script makes use of the following files:
10    
11  # 132html     A Perl script that converts a .1 or .3 man page into HTML. It  # 132html     A Perl script that converts a .1 or .3 man page into HTML. It
12  #             is called from MakeRelease. It "knows" the relevant troff  #             "knows" the relevant troff constructs that are used in the PCRE
13  #             constructs that are used in the PCRE man pages.  #             man pages.
14    
15    # CheckMan    A Perl script that checks man pages for typos in the mark up.
16    
17  # CleanTxt    A Perl script that cleans up the output of "nroff -man" by  # CleanTxt    A Perl script that cleans up the output of "nroff -man" by
18  #             removing backspaces and other redundant text so as to produce  #             removing backspaces and other redundant text so as to produce
# Line 23  Line 26 
26  #             doc/html can be deleted and re-created from scratch.  #             doc/html can be deleted and re-created from scratch.
27    
28    
29  # First, sort out the documentation  # First, sort out the documentation. Remove pcredemo.3 first because it won't
30    # pass the markup check (it is created below, using markup that none of the
31    # other pages use).
32    
33  cd doc  cd doc
34  echo Processing documentation  echo Processing documentation
35    
36    /bin/rm -f pcredemo.3
37    
38    # Check the remaining man pages
39    
40    perl ../CheckMan *.1 *.3
41    if [ $? != 0 ] ; then exit 1; fi
42    
43  # Make Text form of the documentation. It needs some mangling to make it  # Make Text form of the documentation. It needs some mangling to make it
44  # tidy for online reading. Concatenate all the .3 stuff, but omit the  # tidy for online reading. Concatenate all the .3 stuff, but omit the
45  # individual function pages.  # individual function pages.
# Line 37  cat <<End >pcre.txt Line 49  cat <<End >pcre.txt
49  This file contains a concatenation of the PCRE man pages, converted to plain  This file contains a concatenation of the PCRE man pages, converted to plain
50  text format for ease of searching with a text editor, or for use on systems  text format for ease of searching with a text editor, or for use on systems
51  that do not have a man page processor. The small individual files that give  that do not have a man page processor. The small individual files that give
52  synopses of each function in the library have not been included. There are  synopses of each function in the library have not been included. Neither has
53  separate text files for the pcregrep and pcretest commands.  the pcredemo program. There are separate text files for the pcregrep and
54    pcretest commands.
55  -----------------------------------------------------------------------------  -----------------------------------------------------------------------------
56    
57    
# Line 46  End Line 59  End
59    
60  echo "Making pcre.txt"  echo "Making pcre.txt"
61  for file in pcre pcrebuild pcrematching pcreapi pcrecallout pcrecompat \  for file in pcre pcrebuild pcrematching pcreapi pcrecallout pcrecompat \
62              pcrepattern pcresyntax pcrepartial pcreprecompile \              pcrepattern pcresyntax pcreunicode pcrejit pcrepartial \
63              pcreperform pcreposix pcrecpp pcresample pcrestack ; do              pcreprecompile pcreperform pcreposix pcrecpp pcresample \
64                pcrelimits pcrestack ; do
65    echo "  Processing $file.3"    echo "  Processing $file.3"
66    nroff -c -man $file.3 >$file.rawtxt    nroff -c -man $file.3 >$file.rawtxt
67    ../CleanTxt <$file.rawtxt >>pcre.txt    perl ../CleanTxt <$file.rawtxt >>pcre.txt
68    /bin/rm $file.rawtxt    /bin/rm $file.rawtxt
69    echo "------------------------------------------------------------------------------" >>pcre.txt    echo "------------------------------------------------------------------------------" >>pcre.txt
70    if [ "$file" != "pcresample" ] ; then    if [ "$file" != "pcresample" ] ; then
# Line 63  done Line 77  done
77  for file in pcretest pcregrep pcre-config ; do  for file in pcretest pcregrep pcre-config ; do
78    echo Making $file.txt    echo Making $file.txt
79    nroff -c -man $file.1 >$file.rawtxt    nroff -c -man $file.1 >$file.rawtxt
80    ../CleanTxt <$file.rawtxt >$file.txt    perl ../CleanTxt <$file.rawtxt >$file.txt
81    /bin/rm $file.rawtxt    /bin/rm $file.rawtxt
82  done  done
83    
84    
85    # Make pcredemo.3 from the pcredemo.c source file
86    
87    echo "Making pcredemo.3"
88    perl <<"END" >pcredemo.3
89      open(IN, "../pcredemo.c") || die "Failed to open pcredemo.c\n";
90      open(OUT, ">pcredemo.3") || die "Failed to open pcredemo.3\n";
91      print OUT ".\\\" Start example.\n" .
92                ".de EX\n" .
93                ".  nr mE \\\\n(.f\n" .
94                ".  nf\n" .
95                ".  nh\n" .
96                ".  ft CW\n" .
97                "..\n" .
98                ".\n" .
99                ".\n" .
100                ".\\\" End example.\n" .
101                ".de EE\n" .
102                ".  ft \\\\n(mE\n" .
103                ".  fi\n" .
104                ".  hy \\\\n(HY\n" .
105                "..\n" .
106                ".\n" .
107                ".EX\n" ;
108      while (<IN>)
109        {
110        s/\\/\\e/g;
111        print OUT;
112        }
113      print OUT ".EE\n";
114      close(IN);
115      close(OUT);
116    END
117    if [ $? != 0 ] ; then exit 1; fi
118    
119    
120  # Make HTML form of the documentation.  # Make HTML form of the documentation.
121    
122  echo "Making HTML documentation"  echo "Making HTML documentation"
# Line 77  cp index.html.src html/index.html Line 126  cp index.html.src html/index.html
126  for file in *.1 ; do  for file in *.1 ; do
127    base=`basename $file .1`    base=`basename $file .1`
128    echo "  Making $base.html"    echo "  Making $base.html"
129    ../132html -toc $base <$file >html/$base.html    perl ../132html -toc $base <$file >html/$base.html
130  done  done
131    
132  # Exclude table of contents for function summaries. It seems that expr  # Exclude table of contents for function summaries. It seems that expr
133  # forces an anchored regex. Also exclude them for small pages that have  # forces an anchored regex. Also exclude them for small pages that have
134  # only one section.  # only one section.
135    
136  for file in *.3 ; do  for file in *.3 ; do
137    base=`basename $file .3`    base=`basename $file .3`
138    toc=-toc    toc=-toc
139    if [ `expr $base : '.*_'` -ne 0 ] ; then toc="" ; fi    if [ `expr $base : '.*_'` -ne 0 ] ; then toc="" ; fi
140    if [ "$base" = "pcresample" ] || \    if [ "$base" = "pcresample" ]  || \
141       [ "$base" = "pcrestack" ]  || \       [ "$base" = "pcrestack" ]   || \
142       [ "$base" = "pcrecompat" ] || \       [ "$base" = "pcrecompat" ]  || \
143       [ "$base" = "pcreperform" ] ; then       [ "$base" = "pcrelimits" ]  || \
144         [ "$base" = "pcreperform" ] || \
145         [ "$base" = "pcreunicode" ] ; then
146      toc=""      toc=""
147    fi    fi
148    echo "  Making $base.html"    echo "  Making $base.html"
149    ../132html $toc $base <$file >html/$base.html    perl ../132html $toc $base <$file >html/$base.html
150    if [ $? != 0 ] ; then exit 1; fi    if [ $? != 0 ] ; then exit 1; fi
151  done  done
152    
153  # End of documentation processing  # End of documentation processing; stop if only documentation required.
154    
155  cd ..  cd ..
156  echo Documentation done  echo Documentation done
157    if [ "$1" = "doc" ] ; then exit; fi
158    
159  # These files are detrailed; do not detrail the test data because there may be  # These files are detrailed; do not detrail the test data because there may be
160  # significant trailing spaces. The configure files are also omitted from the  # significant trailing spaces. Do not detrail RunTest.bat, because it has CRLF
161  # detrailing.  # line endings and the detrail script removes all trailing white space. The
162    # configure files are also omitted from the detrailing.
163    
164  files="\  files="\
165    Makefile.am \    Makefile.am \
# Line 125  files="\ Line 179  files="\
179    CMakeLists.txt \    CMakeLists.txt \
180    RunGrepTest \    RunGrepTest \
181    RunTest \    RunTest \
   RunTest.bat \  
182    pcre-config.in \    pcre-config.in \
183    libpcre.pc.in \    libpcre.pc.in \
184      libpcreposix.pc.in \
185    libpcrecpp.pc.in \    libpcrecpp.pc.in \
   config.h \  
186    config.h.in \    config.h.in \
187    pcre_printint.src \    pcre_printint.src \
188    pcre_chartables.c.dist \    pcre_chartables.c.dist \
# Line 139  files="\ Line 192  files="\
192    dftables.c \    dftables.c \
193    pcreposix.c \    pcreposix.c \
194    pcreposix.h \    pcreposix.h \
   pcre.h \  
195    pcre.h.in \    pcre.h.in \
196    pcre_internal.h    pcre_internal.h
197      pcre_byte_order.c \
198    pcre_compile.c \    pcre_compile.c \
199    pcre_config.c \    pcre_config.c \
200    pcre_dfa_exec.c \    pcre_dfa_exec.c \
# Line 150  files="\ Line 203  files="\
203    pcre_get.c \    pcre_get.c \
204    pcre_globals.c \    pcre_globals.c \
205    pcre_info.c \    pcre_info.c \
206      pcre_jit_compile.c \
207      pcre_jit_test.c \
208    pcre_maketables.c \    pcre_maketables.c \
209    pcre_newline.c \    pcre_newline.c \
210    pcre_ord2utf8.c \    pcre_ord2utf8.c \
211    pcre_refcount.c \    pcre_refcount.c \
212    pcre_study.c \    pcre_study.c \
213    pcre_tables.c \    pcre_tables.c \
   pcre_try_flipped.c \  
214    pcre_ucp_searchfuncs.c \    pcre_ucp_searchfuncs.c \
215    pcre_valid_utf8.c \    pcre_valid_utf8.c \
216    pcre_version.c \    pcre_version.c \
# Line 181  files="\ Line 235  files="\
235    libpcreposix.def"    libpcreposix.def"
236    
237  echo Detrailing  echo Detrailing
238  ./Detrail $files doc/p* doc/html/*  perl ./Detrail $files doc/p* doc/html/*
239    
240  echo Doing basic configure to get default pcre.h and config.h  echo Doing basic configure to get default pcre.h and config.h
241  # This is in case the caller has set aliases (as I do - PH)  # This is in case the caller has set aliases (as I do - PH)

Legend:
Removed from v.208  
changed lines
  Added in v.836

  ViewVC Help
Powered by ViewVC 1.1.5